package org.wfc.omada.api.client.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AP name and MAC info list.
 */
@ApiModel(description = "AP name and MAC info list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T10:16:05.926+08:00[Asia/Shanghai]")

public class ApBriefInfoVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  public ApBriefInfoVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * AP name.
   * @return name
  */
  @ApiModelProperty(value = "AP name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public ApBriefInfoVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * AP MAC, for example: AA-AA-AA-AA-AA-AA.
   * @return mac
  */
  @ApiModelProperty(value = "AP MAC, for example: AA-AA-AA-AA-AA-AA.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApBriefInfoVo apBriefInfoVo = (ApBriefInfoVo) o;
    return Objects.equals(this.name, apBriefInfoVo.name) &&
        Objects.equals(this.mac, apBriefInfoVo.mac);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApBriefInfoVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

